within ;
model IdealFrictionTwoMasses
  IdealDryFriction idealDryFriction
    annotation (Placement(transformation(extent={{-70,-10},{-50,10}})));
  Modelica.Mechanics.Translational.Components.Fixed fixed
    annotation (Placement(transformation(extent={{-94,-10},{-74,10}})));
  Modelica.Mechanics.Translational.Components.Spring spring(c=25)
    annotation (Placement(transformation(extent={{-10,-10},{10,10}})));
  Modelica.Mechanics.Translational.Components.Mass mass(
    m=5,
    s(fixed=true),
    v(fixed=true))
    annotation (Placement(transformation(extent={{-42,-10},{-22,10}})));
  Modelica.Mechanics.Translational.Components.Mass mass1(
    m=100,
    s(fixed=true),
    v(start=1, fixed=true))
    annotation (Placement(transformation(extent={{30,-10},{50,10}})));
equation
  connect(fixed.flange, idealDryFriction.flange_a) annotation (Line(
      points={{-84,0},{-70,0}},
      color={0,127,0},
      smooth=Smooth.None));
  connect(mass.flange_a, idealDryFriction.flange_b) annotation (Line(
      points={{-42,0},{-50,0}},
      color={0,127,0},
      smooth=Smooth.None));
  connect(spring.flange_a, mass.flange_b) annotation (Line(
      points={{-10,0},{-22,0}},
      color={0,127,0},
      smooth=Smooth.None));
  connect(mass1.flange_a, spring.flange_b) annotation (Line(
      points={{30,0},{10,0}},
      color={0,127,0},
      smooth=Smooth.None));
  annotation (uses(Modelica(version="3.2")), Diagram(coordinateSystem(
          preserveAspectRatio=false, extent={{-100,-100},{100,100}}), graphics));
end IdealFrictionTwoMasses;
